View Issue Details

IDProjectCategoryView StatusLast Update
0001033Main CAcert Websiteweb of trustpublic2013-01-15 18:15
ReporterINOPIAE Assigned ToNEOatNHNG  
PrioritynormalSeverityminorReproducibilityhave not tried
Status closedResolutionfixed 
Fixed in Version2012 Q2 
Summary0001033: User can grant more then 35 points
DescriptionThe AP states that during an assurances max 35 points can be allocated.

Historically there have been Super-Assurers, this functionality is still present although there should be no users who have this status anymore.

Steps To ReproduceCreate a user with 200 or more points and assure someone else.
Additional InformationFunction Max. points in general.php.
TagsNo tags attached.
Reviewed bydastrath, NEOatNHNG
Test Instructions

Relationships

related to 0001023 needs workEva Consolidate changes into the Assure Someone page 
related to 0001134 closedNEOatNHNG Delete the board flag thourougly in all parts of our software 

Activities

NEOatNHNG

2012-04-18 15:47

administrator   ~0002942

I have implemented a fix for the described problem.

Please test and review

INOPIAE

2012-04-20 19:41

updater   ~0002951

I tried to assure someone with an account which was able to grant 200 points before.
The line max. Points shows now 35 instead of 200 before => OK
Entering 200 Points was reduced to 35 points => OK
Entering 50000000 Points reduced to 35 Points => OK
Entering -1 Points was changed to 0 Points => OK
Entering 0 Points states 0 Points => OK

My Conclusion OK

JensK

2012-04-21 16:03

reporter   ~0002952

Created an account with 350 Points total.
Then assured another account, entering...

-100 Points => User is assigned 0 points
0 Points => User is assigned 0 points
35 Points => User is assigned 35 points
200 Points => User is assigned 35 points
66666 Points => User is assigned 35 points

==> Looks good to me.

MartinGummi

2012-04-24 21:40

updater   ~0002954

Create a User with 900 Points +CATS

Assurer with 200 points Checkboxes 0 0 0
ERROR:
Hinweis: Sie haben nicht alle Kästchen angkreuzt. Die müssen dies tun, um zu bestätigen, dass sie die Regeln und Vorschriften von CAcert anerkennen.

Assure with 200 points Checkboxes x x 0 --> 35 Points
Assure with ᦰ x x 0 --> 0 Points
Assure with ᚘ x x 0 --> 0 Points

Create a User with 900 Points +CATS
Flags Support Engineer, Code Signing, Organisation Assurer, TTP Admin, Board Member, Location Admin, TVerify

Assure with (No Location, Date, Points) F2F Checkboxes 0 0 0
ERROR:
Hinweis: Sie haben nicht alle Kästchen angkreuzt. Die müssen dies tun, um zu bestätigen, dass sie die Regeln und Vorschriften von CAcert anerkennen.

Assure with (No Location, Date,) -10 Points F2F Checkboxes x 0 0
ERROR:
Hinweis: Sie haben nicht alle Kästchen angkreuzt. Die müssen dies tun, um zu bestätigen, dass sie die Regeln und Vorschriften von CAcert anerkennen.

Assure with Location, Date, -10 Points F2F Checkboxes x x 0 --> 0 Points

Assure with Location, Date, 200 Points F2F Checkboxes x x 0 --> 35 Points

Assure with Location, Date, 200 Points T3P Checkboxes x x 0 --> 35 Points

Assure with ᚘ x x 0 --> 0 Points

Assure with no Location, Date, 200 Points T3P Checkboxes x x 0 --> 35 Points
259957 12-12-2012 7 autotest 35 Vertrauenswürdige Dritte (TTP)

INOPIAE

2012-04-24 22:45

updater   ~0002955

Reviewed by Dirk, ready to go

INOPIAE

2012-04-24 22:46

updater   ~0002956

ready to deploy

NEOatNHNG

2012-04-28 22:39

administrator   ~0002969

Mail sent to critical admins

wytze

2012-04-29 18:58

developer   ~0002973

The patch has been installed on the production server on April 29, 2012. See also:
https://lists.cacert.org/wws/arc/cacert-systemlog/2012-04/msg00014.html

Werner Dworak

2012-12-21 06:19

updater   ~0003534

More than 3 month fixed and no complaints

Issue History

Date Modified Username Field Change
2012-04-17 22:40 INOPIAE New Issue
2012-04-17 22:41 INOPIAE Relationship added related to 0001023
2012-04-18 15:36 NEOatNHNG Assigned To => NEOatNHNG
2012-04-18 15:40 NEOatNHNG Description Updated View Revisions
2012-04-18 15:40 NEOatNHNG Steps to Reproduce Updated View Revisions
2012-04-18 15:45 NEOatNHNG Source_changeset_attached => cacert-devel testserver 5ed24c7a
2012-04-18 15:45 NEOatNHNG Source_changeset_attached => cacert-devel testserver 4452bde4
2012-04-18 15:47 NEOatNHNG Note Added: 0002942
2012-04-18 15:47 NEOatNHNG Status new => needs review & testing
2012-04-18 15:47 NEOatNHNG Reviewed by => NEOatNHNG
2012-04-20 19:41 INOPIAE Note Added: 0002951
2012-04-21 16:03 JensK Note Added: 0002952
2012-04-24 21:40 MartinGummi Note Added: 0002954
2012-04-24 22:45 INOPIAE Note Added: 0002955
2012-04-24 22:46 INOPIAE Note Added: 0002956
2012-04-24 22:46 INOPIAE Status needs review & testing => ready to deploy
2012-04-28 22:39 NEOatNHNG Reviewed by NEOatNHNG => dastrath, NEOatNHNG
2012-04-28 22:39 NEOatNHNG Note Added: 0002969
2012-04-28 22:40 NEOatNHNG Source_changeset_attached => cacert-devel release aebe99df
2012-04-29 18:58 wytze Note Added: 0002973
2012-04-29 18:58 wytze Status ready to deploy => solved?
2012-04-29 18:58 wytze Resolution open => fixed
2012-12-21 06:19 Werner Dworak Note Added: 0003534
2012-12-21 06:19 Werner Dworak Status solved? => closed
2013-01-09 04:18 Werner Dworak Relationship added related to 0001134
2013-01-15 18:15 Werner Dworak Fixed in Version => 2012 Q2